%global _empty_manifest_terminate_build 0
Name:           python-humanize
Version:        4.6.0
Release:        1
Summary:        Python humanize utilities
License:        MIT
URL:            https://github.com/python-humanize/humanize
Source0:        https://files.pythonhosted.org/packages/06/b1/9e491df2ee1c919d67ee328d8bc9f17b7a9af68e4077f3f5fac83a4488c9/humanize-4.6.0.tar.gz
BuildArch:      noarch

Requires:	    python3-importlib-metadata

%description
Python module that includes various common humanization utilities.

%package -n python3-humanize
Summary:	Python humanize utilities
Provides:	python-humanize = 4.4.0
BuildRequires:	python3-devel
BuildRequires:	python3-freezegun
BuildRequires:	python3-pytest
BuildRequires:	python3-pytest-cov
BuildRequires:  python3-pip
BuildRequires:  python3-hatchling
BuildRequires:  python3-hatch-vcs
BuildRequires:  python3-wheel
%description -n python3-humanize
Python module that includes various common humanization utilities.

%package help
Summary:	Development documents and examples for humanize
Provides:	python3-humanize-doc
%description help
Python module that includes various common humanization utilities.

%prep
%setup -n humanize-%{version}

%build
%pyproject_build

%install
%pyproject_install humanize==%{version}
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi

%check
%if %{?_with_check:1}%{!?_with_check:0}
pushd %{py3dir}
LANG=en_US.UTF-8 /usr/bin/python3 setup.py test
popd
%endif

%files -n python3-humanize
%{python3_sitelib}/*

%files help 
%{_docdir}/*

%changelog
* Mon Apr 24 2023 Ge Wang <wang__ge@126.com> - 4.6.0-1
- Update to version 4.6.0

* Mon Oct 24 2022 liqiuyu <liqiuyu@kylinos.cn> - 4.4.0-1
- Upgrade to version 4.4.0

* Tue Aug 02 2022 liqiuyu <liqiuyu@kylinos.cn> - 4.1.0-2
- Generate pythonX.Ydist(CANONICAL_NAME) tag 

* Fri Jun 17 2022 houyingchao <houyingchao@h-partners.com> - 4.1.0-1
- Upgrade to version 4.1.0

* Mon Sep 27 2021 caodongxia <caodongxia@huawei.com> - 0.5.1-18
- Provides python-humanize

* Wed Oct 21 2020 leiju <leiju4@huawei.com> - 0.5.1-17
- rename python2 subpackage

* Sun Mar 22 2020 Shuaishuai Song <songshuaishuai2@huawei.com> - 0.5.1-16
- disable make check

* Thu Dec 19 2019 Shuaishuai Song <songshuaishuai2@huawei.com> - 0.5.1-15
- package init
